Subject: Re: UTF-8 versus utf8
From: Andy Koppe <[email-masked]>
To: [email-masked]
Date: Sat, 3 Apr 2010 07:13:06 +0100
List-Id: <cygwin.cygwin.com>

Tim McDaniel:
> Eric Blake:
>>> Why does <http://cygwin.com/cygwin-ug-net/setup-locale.html> talk
>>> all about a charset of UTF-8, then "For a list of locales supported
>>> by your Windows machine, use the new locale -a command", which
>>> shows "utf8" (which matches my XP machine)?
>>
>> UTF-8 is the canonical name of the charset, but utf8 is an
>> acceptable synonym in most contexts, and is much easier to type.
>> So, when it comes to specifying your charset, the suffix ".utf8" is
>> used to request the UTF-8 charset.
>
> So why doesn't "locale -a" report the canonical name?

Because the same happens on Linux, and Cygwin aims for Linux
compatibility: LANG is usually set up as *.UTF-8, yet 'locale -a'
reports *.utf8. So why does Linx do things that way? No idea, sorry.

Both UTF-8 and utf8 are accepted in locale variable settings, as are
utf-8 and UTF8.

Btw, what did you mean by "utf8 (which matches my XP machine)"

Andy

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple